Subject: bug#43744: guix-install.sh should do more first-time setup

From: zimoun <[email-masked]>
Date: Fri, 2 Oct 2020 19:41:36 +0200

Hi,

On Thu, 1 Oct 2020 at 14:35, Ludovic Courtès <[email-masked]> wrote:

>   1. Installing Bash and Zsh completion files globally (actually making
>      them a symlink to
>      /var/guix/profiles/per-user/root/current-guix/etc/…).
>      There seems to be +/- a cross-distro conventional directory to
>      collect those, for example /etc/bash_completion.d, no?  The script
>      could create that symlink, perhaps asking the user to confirm.

Done in patch 1/2 #43769 [1].

>   2. Adding the following lines to /etc/profile (taken from Guix System):
>
> --8<---------------cut here---------------start------------->8---
> # Arrange so that ~/.config/guix/current comes first.
> for profile in "$HOME/.guix-profile" "$HOME/.config/guix/current"
> do
>   if [ -f "$profile/etc/profile" ]
>   then
>     # Load the user profile's settings.
>     GUIX_PROFILE="$profile" ; \
>     . "$profile/etc/profile"
>   else
>     # At least define this one so that basic things just work
>     # when the user installs their first package.
>     export PATH="$profile/bin:$PATH"
>   fi
> done
> --8<---------------cut here---------------end--------------->8---

Hum?  It looks like 'sys_create_init_profile'.  I have not checked the
current order but maybe that's only that.

>      The user should be explicitly asked whether they want this change
>      to be made.

Currently, 'sys_create_init_profile' is simply run without asking.

>   3. It could check “ps aux | grep nscd” and install nscd using the host
>      distro package manager if needed, or at least suggest doing it.

Done in patch 2/2 #43769 [1].

[1] <http://issues.guix.gnu.org/issue/43769>

All the best,
simon